Bug 453055 - Dolphin, launched by command "kdesu dolphin" does not work.
Dolphin, launched by command "kdesu dolphin" does not work.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-26 19:08 EDT by Cepreu
Modified: 2010-12-07 13:41 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-28 16:57:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Message, which write dolphin (44.83 KB, image/png)
2008-06-26 19:08 EDT, Cepreu
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 165268 None None None Never

  None (edit)
Description Cepreu 2008-06-26 19:08:39 EDT
Description of problem:
Dolphin, launched by command "kdesu dolphin" does not work.

Version-Release number of selected component (if applicable):
kdebase-4.0.5-3.fc9.i386

Steps to Reproduce:
1.Press "Alt+F2". Enter "kdesu dolphin", where /usr/bin/kdesu - symbolic link to
/usr/libexec/kde4/kdesu.
2.Enjoy.
  
Actual results:
Dolphin write strange message, which you can watch on screenshot. And does not
show contents of any folder.

Expected results:
It must work.

Additional info:
It strange, but if you enter "su", your root password and then from root run
"sudo dolphin" its work. And also then you can run dolphin by "Alt+F2" command
"kdesu dolphin" and now it is work! Very strange.
Comment 1 Cepreu 2008-06-26 19:08:39 EDT
Created attachment 310400 [details]
Message, which write dolphin
Comment 2 Steven M. Parrish 2008-06-27 19:51:29 EDT
I probably am mistaken but if I remember correctly from what I read Dolphin does
not have a super user mode.  Maybe Kevin or Rex can shed some light on this.
Comment 3 Kevin Kofler 2008-06-27 19:57:46 EDT
There's no menu entry for it, but of course Dolphin is expected to work when 
run through kdesu!
Comment 4 Steven M. Parrish 2008-06-27 20:12:11 EDT
See I knew I was mistaken. I did check upstream and did not find any matching bugs.
Comment 5 Cepreu 2008-06-27 21:49:26 EDT
So, did i must to report at bugs.kde.org?
Comment 6 Steven M. Parrish 2008-06-28 15:29:32 EDT
Yes please report upstream at http://bugs.kde.org and add the upstream report
info to this report.
Comment 7 Cepreu 2008-06-28 23:09:54 EDT
Ok, it have been added now:
http://bugs.kde.org/show_bug.cgi?id=165268
Comment 8 Steven M. Parrish 2008-07-28 16:57:32 EDT
Thanks for reporting upstream.  KDE 4.1 release is imminent, please let us know
if this is still an issue after you upgrade.  We will also monitor upstream.

Note You need to log in before you can comment on or make changes to this bug.